Bug 540202 - 643821% complete?
Summary: 643821% complete?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urlgrabber
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 18:08 UTC by Tom Horsley
Modified: 2014-01-21 23:12 UTC (History)
5 users (show)

Fixed In Version: python-urlgrabber-3.9.1-4.2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 21:44:45 UTC


Attachments (Terms of Use)

Description Tom Horsley 2009-11-22 18:08:51 UTC
Description of problem:

For some subset of randomly selected packages, when watching yum download
bunches of stuff, it will sometimes wind up with this sort of line showing
progress of the current package:

(60/165): foomatic-d (24%) 643821% [==========] 337 kB/s | 3.0 MB     --:-- ETA 

I don't know if this is really a yum problem or if the size info for some
of the packages is wrong in the metadata. It doesn't do it all the time,
some packages download perfectly normally with progress going up to
only 100%

Version-Release number of selected component (if applicable):
yum-3.2.25-1.fc12.noarch

How reproducible:
I almost always see it on at least some packages during any yum update
or install, but it seems random as far as which packages it shows up on.

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
silly completion percentage

Expected results:
no more than 100% complete

Additional info:

Comment 1 seth vidal 2009-11-22 22:20:22 UTC
try python-urlgrabber from updates-testing.

see if the problem goes away.

Comment 2 Tom Horsley 2009-11-22 23:30:43 UTC
I tried the new python-urlgrabber on a system that needed updates, and did
not see any silly percent complete messages during the yum downloads,
so that's a good sign, but I suppose time will tell for sure.

Comment 3 Fedora Update System 2010-05-11 15:52:40 UTC
python-urlgrabber-3.9.1-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-7.fc13

Comment 4 Fedora Update System 2010-05-11 15:52:54 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-4.2.fc12

Comment 5 Fedora Update System 2010-05-12 12:20:34 UTC
python-urlgrabber-3.9.1-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-urlgrabber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-7.fc13

Comment 6 Fedora Update System 2010-05-12 17:53:21 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-urlgrabber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-4.2.fc12

Comment 7 Fedora Update System 2010-05-18 21:44:35 UTC
python-urlgrabber-3.9.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-05-31 18:29:04 UTC
python-urlgrabber-3.9.1-4.2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.